# Získání etikety

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /shipment/batch/{batchId}/label:
    get:
      summary: Získání etikety
      deprecated: false
      description: >-
        ## Význam a použití

        Tato metoda vrací vygenerovanou etiketu.



        :::caution[]

        Aby bylo možné úspěšně zavolat metodu, je nutné použít **batchId**,
        které se získá z hlavičky Location v odpovědi na požadavek POST
        **shipment/batch**.

        :::
      operationId: GetShipmentBatchLabel
      tags:
        - API Metody/ShipmentBatch
        - ShipmentBatch
      parameters:
        - name: batchId
          in: path
          description: ' Batch id z metody POST shipment/batch'
          required: true
          example: ''
          schema:
            type: string
            format: uuid
        - name: PageSize
          in: query
          description: Rozměr stránky
          required: false
          schema:
            $ref: '#/components/schemas/Eps.Api.MyApi2.Business.Enums.ConstPageSize'
        - name: Position
          in: query
          description: Pozice na stránce
          required: false
          schema:
            maximum: 4
            minimum: 1
            type: integer
            format: int32
        - name: limit
          in: query
          description: The limit
          required: true
          schema:
            maximum: 200
            minimum: 1
            type: integer
            format: int32
        - name: offset
          in: query
          description: The offset
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: OrderBy
          in: query
          description: >-
            Seřaď položky podle definovaných polí. Pro vícenásobné řazení použij
            názvy polí oddělené čárkou. Použij "-" pro sestupné řazení (např.:
            OrderBy=field1,-field2).

            Řaditelná pole: ShipmentNumber, ReferenceId, viz také
            schéma.**Eps.Api.MyApi2.Web.Controllers.ShipmentBatchController.GetShipmentBatchLabel.OrderBy.enum**
          required: false
          schema:
            anyOf:
              - $ref: >-
                  #/components/schemas/Eps.Api.MyApi2.Web.Controllers.ShipmentBatchController.GetShipmentBatchLabel.OrderBy.enum
              - type: string
                title: ''
                description: ''
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      requestBody:
        content:
          text/plain:
            schema:
              type: string
            example: ''
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: string
                format: binary
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Bad Request
        '404':
          description: NotFound
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Record Not Found
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/ShipmentBatch
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465917-run
components:
  schemas:
    Eps.Api.MyApi2.Business.Enums.ConstPageSize:
      enum:
        - Default
        - A4
      type: string
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Controllers.ShipmentBatchController.GetShipmentBatchLabel.OrderBy.enum:
      enum:
        - ShipmentNumber
        - ReferenceId
      type: string
      x-apidog-folder: ''
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
